%global srcname django-sampledatahelper
%global eggname %(n=%{srcname}; echo ${n//-/_})
%global modname sampledatahelper

Name:           python-%{srcname}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Helper class for generate sample data for django apps development

License:        BSD
URL:            https://github.com/kaleidos/django-sampledatahelper
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

# https://github.com/kaleidos/django-sampledatahelper/pull/13
Patch0001:      0001-setup.py-exclude-tests-from-packages.patch
# https://github.com/kaleidos/django-sampledatahelper/pull/14
Patch0002:      0001-move-six-from-install_requires-to-test_require.patch

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-versiontools
BuildRequires:  python2-nose
BuildRequires:  python2-django
BuildRequires:  python2-sampledata
BuildRequires:  python2-pillow
Requires:       python2-django
Requires:       python2-sampledata

%description -n python2-%{srcname}
%{summary}.

Python 2 version.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-versiontools
BuildRequires:  python3-nose
BuildRequires:  python3-django
BuildRequires:  python3-sampledata
BuildRequires:  python3-pillow
Requires:       python3-django
Requires:       python3-sampledata

%description -n python3-%{srcname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc NEWS.rst
%{python2_sitelib}/%{eggname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{srcname}
%license LICENSE
%doc NEWS.rst
%{python3_sitelib}/%{eggname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Aug 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.4.0-1
- Initial package
